% SECOND MOMENTS computed with simulations

%randn('state',0);
%rand('state',0);
default_shocks = rand(num_simul,num_per+1) < prob_COM; 
innovation = sigma_epsu*randn(num_simul,num_per); 

%function Resp_mat = impresp_sims(G1,Impact,HORIZON,scale_shocks,scale_y);
Simul_mat = zeros(nvar,num_per,num_simul);
Resp_aux = zeros(nvar,num_simul);
PARTYFLAG =  ones(num_simul,num_per); %the simulation starts by having the current regime in power


for t=1:num_per;
    Resp_aux_new_A = G1sM_A*Resp_aux +impactsM_A*innovation(:,t)';
    Resp_aux_new_B = G1sM_B*Resp_aux +impactsM_B*innovation(:,t)';
    Simul_mat(:,t,:) = Resp_aux_new_A.*(ones(nvar,1)*PARTYFLAG(:,t)') + Resp_aux_new_B.*(ones(nvar,1)*(1-PARTYFLAG(:,t))');
    
    %update values for next period
    if stats_while_in_power_by_simul==0;
        PARTYFLAG(:,t+1)= (PARTYFLAG(:,t)==default_shocks(:,t+1));
    end
    
    Resp_aux = Simul_mat(:,t,:);
    Resp_aux = reshape(Resp_aux,nvar,num_simul);
    Resp_aux(1,:) = (prob_COM~=0)*Resp_aux(1,:).*default_shocks(:,t+1)';  % set to zero the first column of G1sM if a default occurs 
end

discount = ((betta*prob_COM).^[0:num_per-1]')*ones(1,num_simul);

for i=1:nvar
    yxm(i)  = mean(mean(Simul_mat(i,:,:),2));
    yxsd(i) = sqrt(mean(mean(Simul_mat(i,:,:).^2,2)));
    %welfare_contr(i) = mean(sum(squeeze(Simul_mat(i,:,:).^2).*discount));   
end