% show tables

function show_table(stats, vlab, case_lab,showcase)

nvar = size(vlab,1);
ncases = size(showcase,1);
TABLE = zeros(nvar,ncases);
headrow = 'Variable       ';

for i=1:nvar;
        for j=1:ncases
            TABLE(i,j)= stats{showcase(j)}(i);
        end
end

for j=1:ncases
    headrow = strcat([headrow,' ',case_lab(showcase(j),:)]);
end


disp('--------------------------------------- ');
disp(headrow);
disp('--------------------------------------- ');
disp( [vlab  num2str(TABLE,'%10.3f')]) ;
disp('---------------------------------------- ');



